package be.cylab.java.wowa.training;

import java.util.ArrayList;
import java.util.List;

/**
 * @author tibo
 */
public class Example {

    public static void main(String[] args) {
        TrainerParameters parameters = new TrainerParameters(100,
                10,
                10,
                TrainerParameters.SELECTION_METHOD_RWS,
                25
        );
        Trainer trainer = new Trainer(parameters);
        List<double[]> data = new ArrayList<>();
        for (int i = 0; i < 5; i++) {
            double[] element = {Math.random(), Math.random(), Math.random()};
            data.add(element);
        }
        double[] expected = new double[5];

        for (int j = 0; j < 5; j++) {
            expected[j] = Math.random();
        }

        SolutionDistance solution = trainer.run(data, expected);
        System.out.println(solution);


    }
}
